package edu.fudan.ss.ooad.eclipse.popup.actions;

import org.eclipse.jdt.core.IType;
import org.eclipse.jface.action.IAction;
import org.eclipse.jface.dialogs.MessageDialog;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.ui.IObjectActionDelegate;
import org.eclipse.ui.IWorkbenchPage;
import org.eclipse.ui.IWorkbenchPart;
import org.eclipse.ui.PartInitException;
import org.eclipse.ui.PlatformUI;

import edu.fudan.ss.ooad.eclipse.views.JavaTypeTreeView;

public class ShowJavaTypeTreeViewAction implements IObjectActionDelegate {

	private Shell shell;
	org.eclipse.jdt.core.ICompilationUnit selectedType;

	/**
	 * Constructor for Action1.
	 */
	public ShowJavaTypeTreeViewAction() {
		super();
	}

	/**
	 * @see IObjectActionDelegate#setActivePart(IAction, IWorkbenchPart)
	 */
	public void setActivePart(IAction action, IWorkbenchPart targetPart) {
		shell = targetPart.getSite().getShell();
	}

	/**
	 * @see IActionDelegate#run(IAction)
	 */
	public void run(IAction action) {
		try {
			IWorkbenchPage activePage = PlatformUI.getWorkbench()
					.getActiveWorkbenchWindow().getActivePage();
			JavaTypeTreeView view = (JavaTypeTreeView) activePage
					.showView(JavaTypeTreeView.ID);
			view.setInput(selectedType);
		} catch (PartInitException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
	}

	/**
	 * @see IActionDelegate#selectionChanged(IAction, ISelection)
	 */
	public void selectionChanged(IAction action, ISelection selection) {
		selectedType = (org.eclipse.jdt.core.ICompilationUnit) ((IStructuredSelection) selection)
				.getFirstElement();
	}

}
