package edu.fudan.ss.ooad.eclipse.views;

import org.eclipse.jface.viewers.TreeViewer;
import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.ui.part.ViewPart;

import edu.fudan.ss.ooad.eclipse.core.ICourseEvaluationManager;

public class SampleView extends ViewPart {

	/**
	 * The ID of the view as specified by the extension.
	 */
	public static final String ID = "edu.fudan.ss.ooad.eclipse.views.SampleView";

	private TreeViewer viewer;

	/**
	 * Passing the focus request to the viewer's control.
	 */
	public void setFocus() {
		viewer.getControl().setFocus();
	}

	@Override
	public void createPartControl(Composite parent) {
		viewer = new TreeViewer(parent, SWT.V_SCROLL | SWT.H_SCROLL);
		viewer.setContentProvider(new CourseContentProvider());
		viewer.setLabelProvider(new CourseLabelProvider());
		viewer.setInput(ICourseEvaluationManager.INSTANCE);
	}
}